kurri_dat = """ 'FFAG'                                                                                                       3
20                                                                                                            
5   30.     540.                        NMAG, AT=tetaF+2tetaD+2Atan(XFF/R0), R0                               
0.  0.  -.6  0.1             mag 0 : ACNT, dum, B0, K                                                         
6.3  03.                                EFB 1 : lambda, gap const/var=0/.ne.0                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
4.7 0.    1.E6  -1.E6  1.E6  1.E6                                                                             
6.3  03.                                EFB 2                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
-4.7  0.    1.E6  -1.E6  1.E6  1.E6                                                                           
0. -1                                   EFB 3 : inhibited by iop=0                                            
0  0.      0.      0.      0.      0. 0.  0.                                                                  
0.  0.   0.    0.    0. 0.                                                                                    
6.465  0.  -.967E+01  7.6             mag 1 : ACNT, dum, B0, K                                                
8.3  03.                                EFB 1 : lambda, gap const/var=0/.ne.0                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
+2.5  0.    1.E6  -1.E6  1.E6  1.E6                                                                           
6.3  03.                                EFB 2                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
-1.765  0.    1.E6  -1.E6  1.E6  1.E6                                                                         
0. -1                                   EFB 3 : inhibited by iop=0                                            
0  0.      0.      0.      0.      0. 0.  0.                                                                  
0.  0.   0.    0.    0. 0.                                                                                    
15.   0.   1.69055873E+01  7.6                  mag 2 : ACNT, dum, B0, K,dummies                              
6.3  03.                                EFB 1                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
5.37   0.    1.E6  -1.E6  1.E6  1.E6                                                                          
6.3  03.                                EFB 2                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
-5.37   0.    1.E6  -1.E6  1.E6  1.E6                                                                         
0. -1                                   EFB 3                                                                 
0  0.      0.      0.      0.      0. 0.  0.                                                                  
0.  0.   0.    0.    0. 0.                                                                                    
23.535  0.  -.967E+01  7.6             mag 3 : ACNT, dum, B0, K                                               
6.3  03.                                EFB 1                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
1.765  0.    1.E6  -1.E6  1.E6  1.E6                                                                          
8.3  03.                                EFB 2                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
-2.5  0.    1.E6  -1.E6  1.E6  1.E6                                                                           
0. -1                                   EFB 3                                                                 
0  0.      0.      0.      0.      0. 0.  0.                                                                  
0.  0.   0.    0.    0. 0.                                                                                    
30.  0.  -.6  0.1             mag 4 : ACNT, dum, B0, K                                                        
6.3  03.                                EFB 1 : lambda, gap const/var=0/.ne.0                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
4.7 0.    1.E6  -1.E6  1.E6  1.E6                                                                             
6.3  03.                                EFB 2                                                                 
4  .1455   2.2670  -.6395  1.1558  0. 0.  0.                                                                  
-4.7  0.    1.E6  -1.E6  1.E6  1.E6                                                                           
0. -1                                   EFB 3 : inhibited by iop=0                                            
0  0.      0.      0.      0.      0. 0.  0.                                                                  
0.  0.   0.    0.    0. 0.                                                                                    
0  2  125.                   KIRD anal/num (=0/2,25,4), resol(mesh=step/resol)                                
.25                           integration step size (cm)                                                      
2   0.  0. 0. 0.        (comp anal/num yield best num prec for resol=1e3*step)                                
"""

kurri_cell = Line("KURRI")
kurri_cell.add(FAKE_ELEM(kurri_dat))

data = gcp.get_cell_properties(cell=kurri_cell, min_ke=11e6, max_ke=150e6, ke_steps=11, particle='p')
#data = gcp.get_cell_properties(cell=kurri_cell, min_ke=11e6, max_ke=150e6, ke_steps=11, particle='p', closed_orbit_init_YTZP=[440,0,0,0])
#data = gcp.get_cell_properties(cell=kurri_cell, min_ke=11e6, max_ke=150e6, ke_steps=11, particle='p', closed_orbit_init_YTZP=[440,0,0,0], closed_orbit_range=[20,0,0,0], closed_orbit_range_count=[20,0,0,0])
print gcp.cell_properties_table(data, ["KE", "stable", "Y", "T", "NU_Y", "NU_Z"])





